# Registro Header de Arquivo

# Baseado na documenta��o da FEBRABAN (Vers�o 09.1 de 19/10/2015)
# Dispon�vel em: http://www.febraban.org.br/LerArquivo.asp?Tabela=Home_Arquivos&codigo=id_arquivo&campo1=arquivo&campo2=QtdeAcessos&id_codigo=3986&campo3=arquivos/

codigo_banco:
  # C�digo do Banco na Compensa��o (G001)
  # C�digo fornecido pelo Banco Central para identifica��o do Banco que est� recebendo ou enviando 
  # o arquivo, com o qual se firmou o contrato de presta��o de servi�os. Preencher com "888" quando 
  # a transfer�ncia for efetuada para outra institui��o financeira utilizando o c�digo ISPB. Neste 
  # caso, dever� ser preenchido o c�digo ISPB no campo 29.3Y.
  pos: [1, 3]
  picture: '9(3)'

lote_servico:
  # Lote de Servi�o (G002)
  # N�mero seq�encial para identificar univocamente um lote de servi�o. Criado e controlado pelo 
  # respons�vel pela gera��o magn�tica dos dados contidos no arquivo.
  # Preencher com '0001' para o primeiro lote do arquivo. Para os demais: n�mero do lote anterior 
  # acrescido de 1. O n�mero n�o poder� ser repetido dentro do arquivo.
  # Se registro for Header do Arquivo preencher com '0000'
  # Se registro for Trailer do Arquivo preencher com '9999'
  pos: [4, 7]
  picture: '9(4)'
  default: '0000'

tipo_registro:
  # Tipo de Registro (G003)
  # C�digo adotado pela FEBRABAN para identificar o tipo de registro.
  # Dom�nio:
  # '0' = Header de Arquivo
  # '1' = Header de Lote
  # '2' = Registros Iniciais do Lote
  # '3' = Detalhe
  # '4' = Registros Finais do Lote
  # '5' = Trailer de Lote
  # '9' = Trailer de Arquivo
  pos: [8, 8]
  picture: '9(1)'
  default: '1'

tipo_operacao:
  # Tipo de Opera��o (G028)
  # C�digo adotado pela FEBRABAN para identificar a transa��o que ser� realizada com os
  # registros detalhe do lote.
  # Dom�nio:
  # 'C' = Lan�amento a Cr�dito
  # 'D' = Lan�amento a D�bito
  # 'E' = Extrato para Concilia��o
  # 'G' = Extrato para Gest�o de Caixa
  # 'I' = Informa��es de T�tulos Capturados do Pr�prio Banco
  # 'R' = Arquivo Remessa
  # 'T' = Arquivo Retorno
  pos: [9, 9]
  picture: 'X(1)'

tipo_servico:
  # Tipo de Servi�o (G025)
  # C�digo adotado pela FEBRABAN para indicar o tipo de servi�o / produto (processo)
  # contido no arquivo / lote.
  # Dom�nio:
  # '01' = Cobran�a
  # '03' = Bloqueto Eletr�nico
  # '04' = Concilia��o Banc�ria
  # '05' = D�bitos
  # '06' = Cust�dia de Cheques
  # '07' = Gest�o de Caixa
  # '08' = Consulta/Informa��o Margem
  # '09' = Averba��o da Consigna��o/Reten��o
  # '10' = Pagamento Dividendos
  # '11' = Manuten��o da Consigna��o
  # '12' = Consigna��o de Parcelas
  # '13' = Glosa da Consigna��o (INSS)
  # '14' = Consulta de Tributos a pagar
  # '20' = Pagamento Fornecedor
  # '22' = Pagamento de Contas, Tributos e Impostos
  # '25' = Compror
  # '26' = Compror Rotativo
  # '29' = Alega��o do Sacado
  # '30' = Pagamento Sal�rios
  # '32' = Pagamento de honor�rios
  # '33' = Pagamento de bolsa aux�lio
  # '34' = Pagamento de prebenda (remunera��o a padres e sacerdotes)
  # '40' = Vendor
  # '41' = Vendor a Termo
  # '50' = Pagamento Sinistros Segurados
  # '60' = Pagamento Despesas Viajante em Tr�nsito
  # '70' = Pagamento Autorizado
  # '75' = Pagamento Credenciados
  # '77' = Pagamento de Remunera��o
  # '80' = Pagamento Representantes / Vendedores Autorizados
  # '90' = Pagamento Benef�cios
  # '98' = Pagamentos Diversos
  pos: [10, 11]
  picture: '9(2)'
  default: '01'

uso_exclusivo_febraban_01:
  # Uso Exclusivo FEBRABAN / CNAB (G004)
  # Texto de observa��es destinado para uso exclusivo da FEBRABAN.
  # Preencher com Brancos.
  pos: [12, 13]
  picture: 'X(2)'
  default: ''

versao_layout_lote:
  # N�mero da Vers�o do Layout do Lote (G030)
  # C�digo adotado pela FEBRABAN para identificar qual a vers�o de layout do lote de
  # arquivo encaminhado.
  # O c�digo � composto de:
  # Vers�o = 2 d�gitos
  # Release = 1 d�gito
  pos: [14, 16]
  picture: '9(3)'
  default: '040'

uso_exclusivo_febraban_02:
  # Uso Exclusivo FEBRABAN / CNAB (G004)
  # Texto de observa��es destinado para uso exclusivo da FEBRABAN.
  # Preencher com Brancos.
  pos: [17, 17]
  picture: 'X(1)'
  default: ''

codigo_inscricao:
  # Tipo de Inscri��o da Empresa (G005)
  # C�digo que identifica o tipo de inscri��o da Empresa ou Pessoa F�sica perante uma Institui��o 
  # governamental. Dom�nio:
  # '0' = Isento / N�o Informado
  # '1' = CPF
  # '2' = CGC / CNPJ
  # '3' = PIS / PASEP
  # '9' = Outros
  # - Preenchimento deste campo � obrigat�rio para DOC e TED (Forma de Lan�amento = 03, 41, 43).
  # - Para pagamento para o SIAPE com cr�dito em conta, o CPF dever� ser do 1o titular.
  # - Para o Produto/Servi�o Cobran�a considerar como obrigat�rio, a partir de 01.06.2015, somente 
  # o CPF (c�digo 1) ou o CNPJ (c�digo 2). Os demais c�digos n�o dever�o ser utilizados.
  pos: [18, 18]
  picture: '9(1)'

numero_inscricao:
  # N�mero de Inscri��o da Empresa (G006)
  # N�mero de inscri��o da Empresa ou Pessoa F�sica perante uma Institui��o governamental.
  # Quando o Tipo de Inscri��o for igual a zero (n�o informado), preencher com zeros.
  pos: [19, 33]
  picture: '9(15)'

codigo_convenio:
  # C�digo do Conv�nio no Banco (G007) (C�digo do Cedente)
  # C�digo adotado pelo Banco para identificar o Contrato entre este e a Empresa Cliente.
  pos: [34, 53]
  picture: 'X(20)'

agencia:
  # Ag�ncia Mantenedora da Conta (G008)
  # C�digo adotado pelo Banco respons�vel pela conta, para identificar a qual unidade est�
  # vinculada a conta corrente.
  pos: [54, 58]
  picture: '9(5)'

agencia_dv:
  # D�gito Verificador da Ag�ncia (G009)
  # C�digo adotado pelo Banco respons�vel pela conta corrente, para verifica��o da
  # autenticidade do C�digo da Ag�ncia.
  pos: [59, 59]
  picture: 'X(1)'

conta:
  # N�mero da Conta Corrente (G010)
  # N�mero adotado pelo Banco, para identificar univocamente a conta corrente utilizada pelo
  # Cliente.
  pos: [60, 71]
  picture: '9(12)'

conta_dv: 
  # D�gito Verificador da Conta (G011)
  # C�digo adotado pelo respons�vel pela conta corrente, para verifica��o da autenticidade do
  # N�mero da Conta Corrente.
  # Para os Bancos que se utilizam de duas posi��es para o D�gito Verificador do N�mero da
  # Conta Corrente, preencher este campo com a 1a posi��o deste d�gito.
  # Exemplo :
  # N�mero C/C = 45981-36
  # Neste caso D�gito Verificador da Conta = 3
  pos: [72, 72]
  picture: 'X(1)'

agencia_mais_cedente_dv:
  # D�gito Verificador da Ag�ncia / Conta Corrente (G012)
  # C�digo adotado pelo Banco respons�vel pela conta corrente, para verifica��o da
  # autenticidade do par C�digo da Ag�ncia / N�mero da Conta Corrente.
  # Para os Bancos que se utilizam de duas posi��es para o D�gito Verificador do N�mero da
  # Conta Corrente, preencher este campo com a 2a posi��o deste d�gito.
  # Exemplo :
  # N�mero C/C = 45981-36
  # Neste caso D�gito Verificador da Ag/Conta = 6
  pos: [73, 73]
  picture: 'X(1)'

nome_empresa:
  # Nome (G013)
  # Nome que identifica a pessoa, f�sica ou jur�dica, a qual se quer fazer refer�ncia.
  pos: [74, 103]
  picture: 'X(30)'

mensagem_1:
  # Mensagem 1 / 2 (C073)
  # Texto referente a mensagens que ser�o impressas em todos os bloquetos referentes ao mesmo lote.
  # Estes campos n�o ser�o utilizados no arquivo retorno.
  pos: [104, 143]
  picture: 'X(40)'
  default: ''

mensagem_2:
  # Mensagem 1 / 2 (C073)
  # Texto referente a mensagens que ser�o impressas em todos os bloquetos referentes ao mesmo lote.
  # Estes campos n�o ser�o utilizados no arquivo retorno.
  pos: [144, 183]
  picture: 'X(40)'
  default: ''

numero_sequencial_arquivo:
  # N�mero Remessa / Retorno (G079)
  # N�mero adotado e controlado pelo respons�vel pela gera��o magn�tica dos dados
  # contidos no arquivo para identificar a seq��ncia de envio ou devolu��o do arquivo entre o
  # Cedente e o Banco Cedente.
  pos: [184, 191]
  picture: '9(8)'

data_geracao:
  # Data de Grava��o Remessa / Retorno (G068)
  # Data da grava��o do arquivo de remessa ou retorno.
  # Utilizar o formato DDMMAAAA, onde :
  # DD = dia
  # MM = m�s
  # AAAA = ano
  pos: [192, 199]
  picture: '9(8)'
  date_format: '%d%m%Y'

data_credito:
  # Data do Cr�dito (C003)
  # Data de efetiva��o do cr�dito referente ao pagamento do t�tulo de cobran�a. Informa��o
  # enviada somente no arquivo de retorno.
  # Utilizar o formato DDMMAAAA, onde:
  # DD = dia
  # MM = m�s
  # AAAA = ano
  pos: [200, 207]
  picture: '9(8)'
  date_format: '%d%m%Y'
  default: '0'

uso_exclusivo_febraban_03:
  # Uso Exclusivo FEBRABAN / CNAB (G004)
  # Texto de observa��es destinado para uso exclusivo da FEBRABAN.
  # Preencher com Brancos.
  pos: [208, 240]
  picture: 'X(33)'
  default: ''
